%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libmsiecf
Version:	20231203
Release:	1%{?dist}
Summary:	Library to access the MSIE Cache File (index.dat) format.
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libmsiecf/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool gcc
             
%description
libmsiecf is a library to access the MSIE Cache File (index.dat) format.

%package devel
Summary: Header files and libraries for developing applications for libmsiecf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libmsiecf.

%package tools
Summary: Several tools for reading MSIE Cache File (index.dat).
Group: Applications/System
Requires: %{name} = %{version}-%{release} 

%description tools
Several tools for reading MSIE Cache File (index.dat).

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libmsiecf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python bindings for libmsiecf
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libmsiecf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libmsiecf
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/msiecfexport
%attr(755,root,root) %{_bindir}/msiecfinfo
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Dec 03 2023 Lawrence R. Rogers <lrr@cert.org> 20231203-1
* Release 20231203-1
	Version from 20231203

* Mon Oct 24 2022 Lawrence R. Rogers <lrr@cert.org> 20221024-1
* Release 20221024-1
	Version from 20221024

* Tue Apr 20 2021 Lawrence R. Rogers <lrr@cert.org> 20210420-1
* Release 20210420-1
	Version from 20210420

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200710-2
* Release 20200710-2
	Release 2 - Removed Python 2 package

* Fri Jul 10 2020 Lawrence R. Rogers <lrr@cert.org> 20200710-1
* Release 20200710-1
	Version 20200710

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
	Version 20181227-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227.

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version 20181215.

* Mon Jan 16 2017 Lawrence R. Rogers <lrr@cert.org> 20170116-1
* Release 20170116-1
	Version 20170116.

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160904-2
* Release 20160904-2
	Added support Python 3 for Fedora 20-24 and CentOS/RHEL 7.

* Sun Sep  4 2016 Lawrence R. Rogers <lrr@cert.org> 20160904-1
* Release 20160904-1
	Version 20160904.

* Thu Apr 21 2016 Lawrence R. Rogers <lrr@cert.org> 20160421-1
* Release 20160421-1
	20160126
	* worked on tests
	* applied updates

	20160109
	* fixes for rpmbuild

* Sun Jan 10 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support
	* 2016 update

* Sun Dec 20 2015 Lawrence R. Rogers <lrr@cert.org> 20151220-1
* Release 20151220-1
	20151220
	* changes for deployment
	* updated dependencies

	20151205
	* worked on Python bindings

	20150726
	* worked on tests

	20150725
	* worked on setup.py

* Wed Jul  8 2015 Lawrence R. Rogers <lrr@cert.org> 20150708-1
* Release 20150708-1
	20150708
	* worked on check signature

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150314-2
* Release 20150314-2
	Libuna GCC-5 Patch

* Sat Mar 14 2015 Lawrence R. Rogers <lrr@cert.org> 20150314-1
* Release 20150314-1
	20150314
	* updated version

	20150313
	* worked on Python bindings cache directory support

	20150308
	* worked on Python bindings cache directory support

* Tue Jan  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150106-1
* Release 20150106-1
	20150106
	* 2015 update

	20141222
	* worked on Python 3 support
	* worked on tests

	20141130
	* code clean up

	20141118
	* code clean up

* Sat Oct 25 2014 Lawrence R. Rogers <lrr@cert.org> 20141025-1
* Release 20141025-1
	20141025
	* changes for deployment

	20141024
	* changes for deployment
	* changes for project site move

	20141019
	* changes for deployment

	20141004
	* bug fix in Python-bindings
	* update Python-bindings tests

	20140930
	* removed README.macosx
	* changes for project site move

* Thu Jul 31 2014 Lawrence R. Rogers <lrr@cert.org> 20140731-1
* Release 20140731-1
	20140731
	* bug fix in Python-bindings

	20140723
	* worked on dpkg debug packages support

	20140323
	* worked on Python bindings

	20140317
	* worked on setup.py

* Fri Jan 31 2014 Joachim Metz <joachim.metz@gmail.com> 20140131-1
- Auto-generated

